Bug 111180 - Bugzilla doesn't paginate
Bugzilla doesn't paginate
Status: CLOSED ERRATA
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.8
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-28 17:37 EST by Zenon Panoussis
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 16:05:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2003-11-28 17:37:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031008

Description of problem:
Searching for at-related bugs, I stupidly entered "at" as the only
search term in the quick search box. I just didn't think of the
preposition "at". Promptly, bugzilla returned each and every bug
containing the word "at", i.e. the entire bug database. Then mozilla's
memory bug kicked in, the system raced away swapping madly and the
only way out was to hit the reset button. 

Even without buzilla+mozilla crashing the user's system, it would be
nice to have pagination. Let bugzilla return 20 or 50 or 100 bugs at a
time and a link to the next page; that makes it easier on the
db-backend too. 

How reproducible:
Always

Steps to Reproduce:
1. Visit bugzilla with mozilla
2. Do a quick search for "at"
3. Crash

Note You need to log in before you can comment on or make changes to this bug.